#ifndef _IOHACK_H
#define _IOHACK_H

/*
 * Call check_*_region() to see if a port or address range is in use,
 * then call alloc_*_region() to register your resource requirements.
 * Free resources with free_*_region().
 */
 
typedef struct resource_entry_t {
	u_long base, num;
	char *dev;
	struct resource_entry_t *next;
} resource_entry_t;

int check_io_region(resource_entry_t *io);
int alloc_io_region(resource_entry_t *io);
int free_io_region(resource_entry_t *io);

int check_mem_region(resource_entry_t *mem);
int alloc_mem_region(resource_entry_t *mem);
int free_mem_region(resource_entry_t *mem);

#endif	/* _IOHACK_H */
